Bug 579369 - Review Request: kanjistrokeorders-fonts - Font to view stroke order diagrams for Kanji, Kana and etc...
Summary: Review Request: kanjistrokeorders-fonts - Font to view stroke order diagrams ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-04 17:05 UTC by René Ribaud
Modified: 2010-10-16 21:14 UTC (History)
5 users (show)

Fixed In Version: kanjistrokeorders-fonts-2.014-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-24 19:38:38 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description René Ribaud 2010-04-04 17:05:53 UTC
Spec URL: http://uggla.free.fr/rpmbuild/SPECS/kanjistrokeorders-fonts.spec
SRPM URL: http://uggla.free.fr/rpmbuild/SRPMS/12/kanjistrokeorders-fonts-2.014-2.fc12.src.rpm
Description: This font will assist people who are learning kanji, and will help teachers of Japanese in the preparation of classroom material.
In the parts of your document where you want the kanji to be annotated with
stroke order numbers simply set your document's font to KanjiStrokeOrders.
You will need to set the size of the font to be large to allow the stroke
order numbers to show up: 100pt seems to be the minimum usable size.


Hello this is my first package, and I'm looking for a sponsor.

RPMLINT output :
----------------
[ctb@uggla SRPMS]$ rpmlint kanjistrokeorders-fonts-2.014-2.fc12.src.rpm
kanjistrokeorders-fonts.src: W: spelling-error %description -l en_US kanji -> Kantian, Kanpur, Kansas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[ctb@uggla noarch]$ rpmlint kanjistrokeorders-fonts-2.014-2.fc12.noarch.rpm
kanjistrokeorders-fonts.noarch: W: spelling-error %description -l en_US kanji -> Kantian, Kanpur, Kansas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[ctb@uggla noarch]$ 


KOJI output :
-------------

I have built the package with koji on all architectures for F12, F13 and
rawhide.
You can look at the F12 result here :
http://koji.fedoraproject.org/koji/taskinfo?taskID=2094571

F13 here :
http://koji.fedoraproject.org/koji/taskinfo?taskID=2094581

and F14 here :
http://koji.fedoraproject.org/koji/taskinfo?taskID=2094591

I'm not familiar with the fontconfig file. So I have created something really simple and minimal.
Advises on this point are welcomed.

Waiting for your feedbacks.

Best regards.
René

Comment 1 Mamoru TASAKA 2010-04-04 17:56:29 UTC
(Removing NEEDSPONSOR)

Comment 2 Parag AN(पराग) 2010-05-06 13:26:40 UTC
sorry I am busy with some other work. Will review this tomorrow.

Comment 3 René Ribaud 2010-05-06 18:06:02 UTC
Hi Parag,

First thanks to assigned you this review.
No worries, I can wait. This package is not an urgent one, so just take all the time you need.

Best regards.
René.

Comment 4 Parag AN(पराग) 2010-05-07 10:28:41 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2171526
+ rpmlint is silent for SRPM and for RPM.
kanjistrokeorders-fonts.src: W: spelling-error %description -l en_US kanji -> Kantian, Kanpur, Kansas
kanjistrokeorders-fonts.noarch: W: spelling-error %description -l en_US kanji -> Kantian, Kanpur, Kansas
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ source files match upstream url (sha1sum)
ba3a6a7904431c0969f196d2b2915ef6c87cff47  KanjiStrokeOrders_v2.014.zip
there is no direct download url working using wget though.

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Follow fonts packaging guidelines.

Suggestions:
1) remove following comments from SPEC
#ln -s /dev/null \
#      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

2) Give newline after each changelog entry and also between BuildRequires: line and %description line

3) Instead of adding BuildRequires: dos2unix, you can do following in %prep.
==========================================================
for file in copyright.txt readme_en_v2.014.txt; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done
===========================================================

 This will help not to increase build time dependency on dos2unix package.

Comment 5 René Ribaud 2010-05-13 17:58:48 UTC
Hi Parag,

Thanks for the review, I have fixed the package.

> Suggestions:
> 1) remove following comments from SPEC
> #ln -s /dev/null \
> #      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

Removed

> 
> 2) Give newline after each changelog entry and also between BuildRequires: line
> and %description line
> 

Done

> 3) Instead of adding BuildRequires: dos2unix, you can do following in %prep.
> ==========================================================
> for file in copyright.txt readme_en_v2.014.txt; do
>  sed "s|\r||g" $file > $file.new && \
>  touch -r $file $file.new && \
>  mv $file.new $file
> done
> ===========================================================
> 
>  This will help not to increase build time dependency on dos2unix package.    

Done, I used "sed -i" instead of dos2unix.


Anyway we will find the updated package here :

Spec URL: http://uggla.free.fr/rpmbuild/SPECS/kanjistrokeorders-fonts.spec
SRPM URL:
http://uggla.free.fr/rpmbuild/SRPMS/12/kanjistrokeorders-fonts-2.014-4.fc12.src.rpm

RPMLINT output :
----------------
[ctb@uggla SRPMS]$ rpmlint kanjistrokeorders-fonts-2.014-4.fc12.src.rpm
kanjistrokeorders-fonts.src: W: spelling-error %description -l en_US kanji -> Kantian, Kanpur, Kansas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[ctb@uggla noarch]$ rpmlint kanjistrokeorders-fonts-2.014-4.fc12.noarch.rpm
kanjistrokeorders-fonts.noarch: W: spelling-error %description -l en_US kanji -> Kantian, Kanpur, Kansas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


KOJI output :
-------------

I have built the package with koji on all architectures for F12, F13 and
rawhide.
You can look at the F12 result here :
http://koji.fedoraproject.org/koji/taskinfo?taskID=2186156

F13 here :


and F14 here :


Waiting for your feedbacks.

Best regards.
René

Comment 6 René Ribaud 2010-05-13 18:03:22 UTC
I have just forgotten to paste the Koji URL in the above msg...

You can look at the F12 result here :
http://koji.fedoraproject.org/koji/taskinfo?taskID=2186156

F13 here :
http://koji.fedoraproject.org/koji/taskinfo?taskID=2186166

and F14 here :
http://koji.fedoraproject.org/koji/taskinfo?taskID=2186173

Best regards.
René.

Comment 7 Parag AN(पराग) 2010-05-14 10:11:54 UTC
APPROVED.

Comment 8 René Ribaud 2010-05-14 10:41:35 UTC
Parag, thank you very much.

Best regards.
René

Comment 9 René Ribaud 2010-05-14 10:46:56 UTC
New Package CVS Request
=======================
Package Name: kanjistrokeorders-fonts
Short Description: Font to view stroke order diagrams for Kanji, Kana and etc...
Owners: uggla
Branches: F-12 F-13 EL-5
InitialCC: fonts-sig

Comment 10 Dennis Gilmore 2010-05-18 18:40:23 UTC
CVS Done

Comment 11 Fedora Update System 2010-05-21 18:58:27 UTC
kanjistrokeorders-fonts-2.014-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kanjistrokeorders-fonts-2.014-4.fc13

Comment 12 Fedora Update System 2010-05-21 18:58:32 UTC
kanjistrokeorders-fonts-2.014-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kanjistrokeorders-fonts-2.014-4.fc12

Comment 13 Fedora Update System 2010-05-24 19:38:33 UTC
kanjistrokeorders-fonts-2.014-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-24 19:44:17 UTC
kanjistrokeorders-fonts-2.014-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 René Ribaud 2010-10-16 12:05:10 UTC
Package Change Request
======================
Package Name: kanjistrokeorders-fonts
New Branches: F14 EL6
Owners: uggla

Comment 16 Kevin Fenzi 2010-10-16 21:14:52 UTC
Git done (by process-git-requests).

There is already a f14 branch, so only did the EL-6 one.


Note You need to log in before you can comment on or make changes to this bug.